[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TParser.CheckToken

Checks whether the token if of the given type.

## Declaration

Source position: classesh.inc line 1518

`public procedure TParser.CheckToken(`
`T: Char`
`);`

## Errors

If current token isn't of type T, an EParserError exception is raised.

## See also

TParser.Token |  | The type of the current token.

Documentation generated on: Feb 26 2014